package cn.axzo.workflow.common.model.request.bpmn;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 单选/多选的选项配置
 */
@Accessors(chain = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BpmnFieldOptionConf implements Serializable {

    /**
     * 选项的名称
     */
    @ApiModelProperty(value = "选项的名称", example = "选项1")
    private String name;

    /**
     * 选项的值
     */
    @ApiModelProperty(value = "选项的值", example = "1")
    private String value;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
